=== debian/changelog ===
x2goserver (4.0.1.6-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.6):
    - Fix client-side unmounting of shared folders.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 13:37:12 +0200

x2goserver (4.0.1.5-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.5):
    - Do not hard-code paths to NX code in x2goruncommand anymore. Use
      x2gopath instead. (Fixes: #273).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 02:06:47 +0200

x2goserver (4.0.1.4-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (4.0.1.4):
    - Multiply query USED_DISPLAYS and USED_PORTS in x2gostartagent to minimize
      race conditions in cases where many clients launch session simultaneously.
    - Make X2Go Server aware of the MATE desktop environment.
    - x2goumount-session: allow args $X2GO_SESSION <server-mount-point> in
      addition to $X2GO_SESSION <client-directory>.

  [ Rok Mandeljc ]
  * New upstream version (4.0.1.4):
    - The gnome-terminal TERMINAL returns immediately and runs in background
      starting with GNOME 3.8. Thus, set IMEXIT to false for gnome-terminal.
      (Fixes: #268).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 27 Jul 2013 00:08:15 +0200

x2goserver (4.0.1.3-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.3):
    - Improve session status management in x2gocleansessions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 14:32:41 +0200

x2goserver (4.0.1.2-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.2):
    - Accelerate resuming of sessions. Fix failures when resuming sessions that
      result from the latest changes in x2gocleansessions. (Fixes: #247).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 11:48:09 +0200

x2goserver (4.0.1.1-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.1):
    - Syntax fix in x2goumount-session.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 13:12:54 +0200

x2goserver (4.0.1.0-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.0):
    - Make x2gomountdirs / x2goumount-session UNC path aware.
    - Add support to x2gocleansessions to suspend session via state changes
      in the session DB.
    - Add support for terminating sessions via the session DB.
    - Raise the frequency of the x2gocleansessions loop to every two seconds.
    - Send SIGKILL to blocked X-Server (x2goagent) processes, if they do not
      disappear within 20secs. (Fixes: #32).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:07:40 +0200

x2goserver (4.0.0.5-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.5):
    - Make x2goumount-session tolerant towards usernames that contain spaces
      (Fixes: #202).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 01:47:03 +0200

x2goserver (4.0.0.4-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.4):
    - Fix Perl include path for X2Go related Perl packages (which do
      not get installed to some system default path for this version
      of x2goserver).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 13:10:28 +0200

x2goserver (4.0.0.3-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.3):
    - Make pre-set DESTDIR and PREFIX traverse through all Makefiles.
      Do not include DESTDIR in Makefile-hard-coded path in x2gosqlitewrapper.
    - Partially revert USED_PORTS detection code back to the old-style awk-way.
      (Fixes: #155).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:03:20 +0200

x2goserver (4.0.0.2-0~x2go1) unstable; urgency=low

  [ Matthew L. Dailey ]
  * New upstream version (4.0.0.2):
    - Do parse profile/xprofile files in X2Go's Xsession file. (Fixes: #149).

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.2):
    - Use x2gopath in Perl scripts to set the lib path. (Fixes: #103).

  [ Mike Gabriel ]
  * New upstream version (4.0.0.2):
    - Use make_path from File::Path in x2godbadmin to create user directory if
      not present. (Fixes: #200).
    - Security fix for setgid wrapper x2gosqlitewrapper.c. Hard-code path to
      x2gosqlitewrapper.pl during build via defining a macro in the Makefile.
      Thanks to Richard Weinberger for spotting this!!!
  /debian/control:
    + Let x2goserver bin:package depend on xfonts-base and fontconfig. (Fixes:
      #163).
    + Create session log symlink after launching x2goagent. Fix order of target
      and symlink name when executing the command.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 May 2013 00:54:34 +0200

x2goserver (4.0.0.1-0~x2go1) unstable; urgency=low

  [ Bernard Cafarelli ]
  * New upstream version (4.0.0.1):
    - Make CFLAGS usable in x2goserver. (Fixes: #83).

  [ Matthew L. Dailey ]
  * New upstream version (4.0.0.1):
    - Fix command/version detection for GNOME/Unity on Ubuntu. (Fixes: #105).

  [ Mike Gabriel ]
  * New upstream version (4.0.0.1):
    - Allow for deploying X2Go Published Applications system-wide on a
      per-user basis (in /etc/x2go/applications-per-user/<username>).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Mar 2013 13:52:43 +0100

x2goserver (4.0.0.0-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.0):
    - Replace script x2gobasepath by script x2gopath that makes it much easier
      for distro packagers to tweak the installation paths of X2Go Server
      components.

  [ Mike Gabriel ]
  * Bump version to 4.0.0.0 (for Baikal bundle release).
  * New upstream version (4.0.0.0):
    - Adapt Xinerama path in x2gopath: use $base for detecting the path to the
      Xinerama libs, as well, as is done with all the other paths.
    - Fix mounting of multiple paths, thanks to Pascal Vibet. (Fixes: #67).

  [ Orion Poplawski ]

