=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional 
Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>,
Build-Depends: 
 debhelper (>= 7.0.50~),
 man2html-base | man2html
Standards-Version: 3.9.3
Homepage: http://code.x2go.org/releases/source/x2goserver
Vcs-Git: git://code.x2go.org/x2goserver.git
Vcs-Browser: http://code.x2go.org/gitweb?p=x2goserver.git;a=summary

Package: x2goserver
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 x2goagent (>= 2:3.5.0.15-0~),
 lsof,
 bc,
 openssh-client,
 openssh-server,
 libconfig-simple-perl,
 makepasswd,
 libdbd-pg-perl,
 libdbd-sqlite3-perl,
 libfile-basedir-perl,
 adduser,
 xauth,
 psmisc,
 net-tools
Recommends:
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xfonts-base,
 fontconfig,
 xinit,
 x2goserver-extensions (= ${source:Version})
Suggests:
 x2goserver-printing (= ${source:Version}),
 x2goserver-compat (= ${source:Version}),
 x2goserver-xsession (= ${source:Version}),
 x2goserver-fmbindings (= ${source:Version}),
 x2goserver-pyhoca (= ${source:Version}),
 rdesktop,
 pulseaudio-utils
Breaks:
 x2goserver-one,
 x2goserver-home,
Replaces:
 x2goserver-one,
 x2goserver-home,
Description: X2Go server daemon scripts
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for
 X2Go server-side session administrations.
 .
 The x2goserver package provides full functionality
 for running the X2Go project's legacy X2Go client
 (x2goclient) on the client-side.
 .
 However, if you intend using other client implementations 
 of X2Go make sure that you also have X2Go server
 extensions package (x2goserver-extensions) installed.

Package: x2goserver-printing
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 adduser
Breaks:
 x2goprint
Replaces:
 x2goprint
Suggests:
 cups-x2go
Description: X2Go server daemon scripts (printing)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server printing package provides
 client-side printing support for X2Go.
 .
 This package has to be installed on X2Go servers
 that shall be able to pass X2Go print jobs on
 to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS
 backend. If CUPS server and X2Go server are hosted
 on different machines, then make sure you install
 this package on the X2Go server/s (and the cups-x2go
 package on the CUPS server).

Package: x2goserver-compat
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~)
Description: X2Go server daemon scripts (backwards compatitbity to old client versions)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains compatitbility scripts to allow
 old x2goclient versions to connect to your X2Go server.

Package: x2goserver-extensions
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 x11-xkb-utils
Description: X2Go server daemon scripts (extensions)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server extension namespace offers contributors
 to add script functionality to X2Go that is not
 needed/ignored by the legacy X2Go client (x2goclient).
 .
 Make sure you have this package installed on your server
 if you want non-legacy X2Go clients to be able to
 access your server without lack of features.

Package: x2goserver-xsession
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 x11-common
Description: X2Go server daemon scripts (Xsession runner)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go server add-on enables Xsession script handling
 when starting desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will
 enable desktop-profiles, ssh-agent startups, gpgagent
 startups and many more Xsession related features on 
 X2Go session login automagically.

Package: x2goserver-fmbindings
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 desktop-file-utils,
 xdg-utils
Description: Generic (freedesktop-based) file manager bindings for X2Go
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information
 for X2Go's local folder sharing. It can be used with all
 freedesktop.org compliant desktop shells.
 .
 However, this package will be superseded by other, more specific
 destkop binding components, if installed and being used with the
 corresponding desktop shell:
    - under LXDE by x2golxdebindings
    - under GNOME by x2gognomebindings
    - under KDE4 by plasma-widget-x2go

Package: x2goserver-pyhoca
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
Description: X2Go server daemon scripts (add-ons for pyhoca client)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go server add-on adds extra functionality when using
 the pyhoca client (GUI or cmdline tool). The installation
 of this package is completely optional, the pyhoca client
 will work without.
 .
 Functionalities this package adds:
    - renaming of session window titles
    - setting detailled X keyboard parameters
