=== debian/rules ===
#!/usr/bin/make -f

%:
	PREFIX=/usr dh $@

override_dh_auto_install:
	PREFIX=/usr make -f Makefile build-arch

override_dh_auto_clean:
	rm -fv x2gosqlitewrapper
	rm -Rfv x2goserver/.build_html
	rm -Rfv x2goserver-extensions/.build_html
	PREFIX=/usr dh_auto_clean
